# api is the part of the library name before the .so
%define	api	0
# major is the part of the library name after the .so
%define	major	0
#define	libname %mklibname %{name} %{api} %{major}
%define	libname	%mklibname %{name} %{major}
%define	devname %mklibname %{name} -d

%define	_root_sbindir	/sbin

Summary: 	Tools for nilfs filesystem
Name: 		nilfs-utils
Version: 	2.1.4
Release: 	1
License:	GPLv2+
Group:		System/Base
Source0:	http://www.nilfs.org/download/%{name}-%{version}.tar.bz2
URL:		http://www.nilfs.org/en/index.html
Buildrequires:  pkgconfig(uuid) pkgconfig(mount)

%description
NILFS is a log-structured file system supporting versioning of the entire 
file system and continuous snapshotting which allows users to even restore 
files mistakenly overwritten or destroyed just a few seconds ago. 

%package -n	%{libname}
Summary:        Main library for %{name}
Group:          System/Base

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{devname}
Summary:        Headers for developing programs that will use %{name}
Group:          System/Base
Requires:       %{libname} = %{EVRD}
Provides:       %{name}-devel = %{EVRD}
%define	oldlib	%mklibname %{name}
%rename		%{oldlib}

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std LDCONFIG=/bin/true

%files
%doc AUTHORS COPYING ChangeLog README
%{_sysconfdir}/nilfs_cleanerd.conf
%{_bindir}/*
%{_root_sbindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libnilfs*.so.%{major}*

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Thu Jul 12 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.1.4-1
+ Revision: 809027
- version update 2.1.4

* Mon Jul 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.1.3-1
+ Revision: 807774
- version update 2.1.3

* Thu Jan 26 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.1-1
+ Revision: 769045
- fix buildrequires
- fix library package naming
- drop useless provides
- use %%{EVRD} macro
- cleanups
- new version

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

  + trem <trem@mandriva.org>
    - update to 2.0.21
    - update to 2.0.19

* Mon Apr 12 2010 Pascal Terjan <pterjan@mandriva.org> 2.0.18-1mdv2010.1
+ Revision: 533705
- silence setup
- update to 2.0.18

* Sun Feb 21 2010 trem <trem@mandriva.org> 2.0.15-1mdv2010.1
+ Revision: 509313
- update to 2.0.15
- update to 2.0.14

* Thu Jul 23 2009 trem <trem@mandriva.org> 2.0.13-1mdv2010.0
+ Revision: 399118
- update to 2.0.13

* Tue Jun 16 2009 trem <trem@mandriva.org> 2.0.12-1mdv2010.0
+ Revision: 386427
- add Buildrequires e2fsprogs-devel
- import nilfs-utils

